.lists {
  &__container {
    overflow-x: scroll;
    overflow-y: hidden;
    display: flex;
    padding: 20px;
    background-color: #CCDBDC;
  }

  &__list {
    overflow-y: auto;
    min-width: 250px;
    width: 250px;
    height: calc(100vh - 125px);

    margin-right: 20px;
    background-color: #e8edee;
    border-radius: 8px;

    &--title {
      display: flex;
      justify-content: space-between;
      align-items: center;

      font-size: 18px;
      font-weight: 500;
      padding: 10px 10px 10px 25px;
      text-align: center;
      color: black;
    }

    &--delete-btn {
      &:hover, &:focus {
        color: red;
      }
    }
  }

  &__add-task {
    display: flex;
    justify-content: center;
    padding: 0 20px;

    &--btn {
      width: 100%;
    }
  }

  &__new-list {
    height: fit-content;
    display: flex;
    align-items: center;

    &--input {
      background-color: white;
      border-radius: 8px;
    }

    &--add-btn, &--delete-btn {
      width: 35px;
    }

    &--add-btn {
      color: green;
    }

    &--delete-btn {
    }
  }
}

.task {
  margin: 0 20px 10px 20px;
  background-color: white;
  border-radius: 8px;
  color: black;

  &.task-done {
    span {
      color: green;
      text-decoration-line: line-through;
    }
  }

  &__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px;
    text-align: left;
    font-weight: 500;
    border-bottom: 1px solid #CCDBDC;

    &--delete-btn {
      display: flex;
      align-items: center;
      width: 25px;
      height: 25px;
      background: none;
      border: none;
      margin-left: 10px;
      padding: 0;

      .mat-icon {
        font-size: 20px;
      }

      &:hover, &:focus {
        color: red;
      }
    }

    &--buttons {
      display: flex;
      align-items: center;
    }
  }


  &__description {
    padding: 8px;
    text-align: left;
    word-break: break-word;
  }

  &__finish-date {
    padding: 8px;
    text-align: right;
    font-size: 12px;
    font-weight: 500;

    border-top: 1px solid #CCDBDC;
  }
}